org.keycloak.services.clientpolicy.executor

## Class SecureClientAuthEnforceExecutorFactory

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutorFactory
  - - org.keycloak.services.clientpolicy.executor.SecureClientAuthEnforceExecutorFactory

- All Implemented Interfaces:
    ComponentFactory<ClientPolicyExecutorProvider,ClientPolicyExecutorProvider>, ConfiguredProvider, ProviderFactory<ClientPolicyExecutorProvider>, ClientPolicyExecutorProviderFactory

      public class SecureClientAuthEnforceExecutorFactory
      extends AbstractAugumentingClientRegistrationPolicyExecutorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_AUTHNS`
    `static String` | `CLIENT_AUTHNS_AUGMENT`
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutorFactory

      `IS_AUGMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureClientAuthEnforceExecutorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientPolicyExecutorProvider` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove, validateConfiguration`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### CLIENT_AUTHNS

          public static final String CLIENT_AUTHNS

      See Also:
        Constant Field Values

    - #### CLIENT_AUTHNS_AUGMENT

          public static final String CLIENT_AUTHNS_AUGMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecureClientAuthEnforceExecutorFactory

          public SecureClientAuthEnforceExecutorFactory()

  - ### Method Detail

    - #### create

          public ClientPolicyExecutorProvider create(KeycloakSession session,
                                                     ComponentModel model)

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.

    - #### getId

          public String getId()

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`
      Overrides:
        `getConfigProperties` in class `AbstractAugumentingClientRegistrationPolicyExecutorFactory`

Copyright © 2021 JBoss by Red Hat. All rights reserved.